<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="/">
		<html>
			<title>
				<xsl:value-of select="BITList/BIT/@Outcome" />
				BIT at
				<xsl:value-of select="BITList/BIT/@URSI_ID" />
			</title>
			<body>
				<font face="Helvetica, Verdana, Arial, Geneva, Palatino">
					<xsl:for-each select="BITList/BIT">
						<h2>Digisonde Built-In Test</h2>
						<p>
							<strong>
								Station:
								<xsl:value-of select="@URSI_ID" />
								,
								Test Outcome:
								<xsl:value-of select="@Outcome" />
								at
								<xsl:value-of select="@TimeUT" />
								UT
							</strong>
						</p>

						<xsl:choose>
							<xsl:when test="FailedComponentList">
								<table border="0" cellpadding="3" bgcolor="#ffeeee">
									<tr>
										<td>
											<table border="0" cellpadding="5">
												<tr bgcolor="#ff3300">
													<td>
														<strong>SYSTEM FAILURE DETECTED</strong>
													</td>
												</tr>
											</table>
											<h3>Failed/Suspected Components:</h3>
											<table border="0" cellpadding="3" cellspacing="3">
												<tr bgcolor="#ff3300">
													<th align="left">Component</th>
													<th align="left">State</th>
												</tr>
												<xsl:for-each select="FailedComponentList/Component">
													<tr>
														<td>
															<xsl:value-of select="@Name" />
														</td>
														<td>
															<xsl:value-of select="@State" />
														</td>
													</tr>
												</xsl:for-each>
											</table>

											<h3>Recommendations:</h3>
											<ul>
												<xsl:for-each select="FailedComponentList/Component">
													<li>
														<xsl:value-of select="." />
													</li>
												</xsl:for-each>
											</ul>

											<h3>Failed Sensors:</h3>
											<table border="0" cellpadding="3" cellspacing="3">
												<tr bgcolor="#ff3300">
													<th align="left">Sensor name</th>
													<th align="left">Case</th>
													<th align="left">Condition</th>
												</tr>
												<xsl:for-each select="FailedSensorList/Sensor">
													<tr>
														<td>
															<xsl:value-of select="@Name" />
														</td>
														<td>
															<xsl:value-of select="@Case" />
														</td>
														<td>
															<xsl:value-of select="@Condition" />
														</td>
													</tr>
												</xsl:for-each>
											</table>

										</td>
									</tr>
								</table>
							</xsl:when>

							<xsl:otherwise>
								<table border="0" cellpadding="7" bgcolor="#aaffaa">
									<tr>
										<td>
											<strong>ALL SYSTEMS GO</strong>
										</td>
									</tr>
								</table>
							</xsl:otherwise>
						</xsl:choose>

						<xsl:if test="WarningSensorList">
							<h3>Sensor Warnings:</h3>
							<table border="0" cellpadding="3" cellspacing="3">
								<tr bgcolor="#ffcc66">
									<th align="left">Sensor name</th>
									<th align="left">Case</th>
									<th align="left">Condition</th>
								</tr>
								<xsl:for-each select="WarningSensorList/Sensor">
									<tr>
										<td>
											<xsl:value-of select="@Name" />
										</td>
										<td>
											<xsl:value-of select="@Case" />
										</td>
										<td>
											<xsl:value-of select="@Condition" />
										</td>
									</tr>
								</xsl:for-each>
							</table>
						</xsl:if>

						<h3>System State by Unit:</h3>
						<table border="0" cellspacing="10">
							<tr>
								<td valign="top" bgcolor="#EEEEFF">
									<table border="0" cellpadding="3" cellspacing="3">
										<tr bgcolor="#AABBFF">
											<th align="left">Line Replaceable Module</th>
											<th align="left">State</th>
											<th align="left">Comments</th>
										</tr>
										<xsl:for-each select="Components/LRM">
											<tr>
												<td>
													<xsl:value-of select="@Name" />
												</td>
												<td>
													<xsl:value-of select="@State" />
												</td>
												<td>
													<xsl:value-of select="@Comments" />
												</td>
											</tr>
										</xsl:for-each>
									</table>
								</td>
								<td valign="top" bgcolor="#EEEEFF">
									<table border="0" cellpadding="3" cellspacing="3">
										<tr bgcolor="#BB6699">
											<th align="left">Field-Repairable Unit</th>
											<th align="left">State</th>
											<th align="left">Comments</th>
										</tr>
										<xsl:for-each select="Components/FRU">
											<tr>
												<td>
													<xsl:value-of select="@Name" />
												</td>
												<td>
													<xsl:value-of select="@State" />
												</td>
												<td>
													<xsl:value-of select="@Comments" />
												</td>
											</tr>
										</xsl:for-each>
									</table>
								</td>
							</tr>
						</table>
						<h3>Sensor Definitions</h3>
						<table border="0" cellpadding="3" bgcolor="#EEFFEE">
							<tr>
								<td>
									<table border="0" cellpadding="3" cellspacing="3">
										<tr bgcolor="#AAFFBB">
											<th align="left">Static Digital Sensor</th>
											<th align="left">Nominal value</th>
											<th align="left">Description</th>
										</tr>
										<xsl:for-each select="SensorList/StaticDigital">
											<tr>
												<td>
													<xsl:value-of select="@Name" />
												</td>
												<td>
													<xsl:value-of select="@Go" />
												</td>
												<td>
													<xsl:value-of select="@Description" />
												</td>
											</tr>
										</xsl:for-each>
									</table>
									<table border="0" cellpadding="3" cellspacing="3">
										<tr bgcolor="#AAFFBB">
											<th align="left">Static Analog Sensor</th>
											<th align="left">Units</th>
											<th align="left">Phys-units Conversion</th>
											<th align="left">Description</th>
										</tr>
										<xsl:for-each select="SensorList/StaticAnalog">
											<tr>
												<td>
													<xsl:value-of select="@Name" />
												</td>
												<td>
													<xsl:value-of select="@Units" />
												</td>
												<td>
													<xsl:value-of select="@Conversion" />
												</td>
												<td>
													<xsl:value-of select="@Description" />
												</td>
											</tr>
										</xsl:for-each>
									</table>
									<table border="0" cellpadding="3" cellspacing="3">
										<tr bgcolor="#AAFFBB">
											<th align="left">Dynamic Analog Sensor</th>
											<th align="left">Units</th>
											<th align="left">Phys-units Conversion</th>
											<th align="left">Description</th>
										</tr>
										<xsl:for-each select="SensorList/DynamicAnalog">
											<tr>
												<td>
													<xsl:value-of select="@Name" />
												</td>
												<td>
													<xsl:value-of select="@Units" />
												</td>
												<td>
													<xsl:value-of select="@Conversion" />
												</td>
												<td>
													<xsl:value-of select="@Description" />
												</td>
											</tr>
										</xsl:for-each>
									</table>
								</td>
							</tr>
						</table>
						<h3>Sensor Data Measurements</h3>
						<xsl:for-each select="TestList/Test">
							<h4>
								CASE
								<xsl:value-of select="@CaseNumber" />
								:
								<xsl:value-of select="@Case" />
							</h4>
							<table border="0" cellpadding="3" cellspacing="3">
								<tr bgcolor="#AA77FF">
									<th align="left">Sensor</th>
									<th align="left">Raw</th>
									<th align="left">Phys</th>
									<th align="left">Units</th>
									<th align="left">Red:Low</th>
									<th align="left">Yellow:Low</th>
									<th align="left">Yellow:High</th>
									<th align="left">Red:High</th>
									<th align="left">State</th>
								</tr>
								<xsl:for-each select="Sensor">
									<tr>
										<td>
											<xsl:value-of select="@Name" />
										</td>
										<td align="right">
											<xsl:value-of select="@Raw" />
										</td>
										<td align="right">
											<xsl:value-of select="@Phys" />
										</td>
										<td>
											<xsl:value-of select="@Units" />
										</td>
										<td align="right">
											<xsl:value-of select="@RedLow" />
										</td>
										<td align="right">
											<xsl:value-of select="@YellowLow" />
										</td>
										<td align="right">
											<xsl:value-of select="@YellowHigh" />
										</td>
										<td align="right">
											<xsl:value-of select="@RedHigh" />
										</td>
										<td>
											<xsl:value-of select="@State" />
										</td>
									</tr>
								</xsl:for-each>
							</table>
						</xsl:for-each>
					</xsl:for-each>
				</font>
			</body>
		</html>
	</xsl:template>

</xsl:stylesheet>